Backend: Open-Source Fixedpoint Model-Checker version 2018 
Protocol: ISO_twopass_mutual_CCF_CORRECTED
Types:
[(Purpose,["purposeText1","purposeText3"]),(Agent False False,["A","B"]),(Number,["NA","NB","Text1","Text2","Text3","Text4","tag"]),(Function,["sk","f"])]
section rules:
step rule_0:
iknows(crypt(K,M));
iknows(inv(K))

=>
iknows(M)

step rule_1:
iknows(crypt(inv(K),M));
iknows(K)

=>
iknows(M)

step rule_2:
iknows(scrypt(K,M));
iknows(K)

=>
iknows(M)

step rule_3:
iknows(pair(M1,M2))

=>
iknows(M1);
iknows(M2)

step rule_4:
secret(M,Agent (honest a));
iknows(M)

=>
attack(pair(secrecy,M))

step rule_5:
request(A,B,Purpose (purposeNA),M,(SID sid))
 | B/=Agent (dishonest i);
M/=Nonce (absNA(pair(B,A)))
=>
attack(pair(authentication,pair(A,pair(B,M))))

step rule_6:
request(A,B,Purpose (purposeText1),M,(SID sid))
 | B/=Agent (dishonest i);
M/=Nonce (absText1(pair(B,A)))
=>
attack(pair(authentication,pair(A,pair(B,M))))

step rule_7:
request(A,B,Purpose (purposeNB),M,(SID sid))
 | B/=Agent (dishonest i);
M/=Nonce (absNB(pair(B,A)))
=>
attack(pair(authentication,pair(A,pair(B,M))))

step rule_8:
request(A,B,Purpose (purposeText3),M,(SID sid))
 | B/=Agent (dishonest i);
M/=Nonce (absText3(pair(B,A)))
=>
attack(pair(authentication,pair(A,pair(B,M))))

step rule_9:
State (rA,[Agent (A),Step 0,Nonce (tag),SymKey (sk(pair(Agent (A),Agent (B)))),Agent (B),(SID sid)])

=>
witness(Agent (A),Agent (B),Purpose (pBAText1),Nonce (absText1(pair(Agent (A),Agent (B)))));
State (rA,[Agent (A),Step 1,Nonce (tag),SymKey (sk(pair(Agent (A),Agent (B)))),Agent (B),Nonce (absNA(pair(Agent (A),Agent (B)))),Nonce (absText1(pair(Agent (A),Agent (B)))),pair(f(pair(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (absNA(pair(Agent (A),Agent (B)))),pair(Agent (B),pair(Nonce (absText1(pair(Agent (A),Agent (B)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (A),Agent (B)))),pair(Agent (B),Nonce (absText1(pair(Agent (A),Agent (B))))))),(SID sid)]);
iknows(pair(f(pair(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (absNA(pair(Agent (A),Agent (B)))),pair(Agent (B),pair(Nonce (absText1(pair(Agent (A),Agent (B)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (A),Agent (B)))),pair(Agent (B),Nonce (absText1(pair(Agent (A),Agent (B))))))))

step rule_10:
State (rB,[Agent (B),Step 0,Nonce (tag),SymKey (sk(pair(Agent (A),Agent (B)))),Agent (A),(SID sid)]);
iknows(f(pair(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NA),pair(Agent (B),pair(Nonce (Text1),Nonce (tag)))))));
iknows(Nonce (NA));
iknows(Agent (B));
iknows(Nonce (Text1))

=>
request(Agent (B),Agent (A),Purpose (pBAText1),Nonce (Text1),(SID sid));
witness(Agent (B),Agent (A),Purpose (pABText3),Nonce (absText3(pair(Agent (B),Agent (A)))));
State (rB,[Agent (B),Step 1,Nonce (tag),SymKey (sk(pair(Agent (A),Agent (B)))),Agent (A),Nonce (Text1),Nonce (NA),f(pair(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NA),pair(Agent (B),pair(Nonce (Text1),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NA),pair(Agent (B),pair(Nonce (Text1),Nonce (tag)))))),pair(Nonce (NA),pair(Agent (B),Nonce (Text1)))),Nonce (absNB(pair(Agent (B),Agent (A)))),Nonce (absText3(pair(Agent (B),Agent (A)))),pair(f(pair(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (absNB(pair(Agent (B),Agent (A)))),pair(Agent (A),Nonce (absText3(pair(Agent (B),Agent (A)))))))),pair(Nonce (absNB(pair(Agent (B),Agent (A)))),pair(Agent (A),Nonce (absText3(pair(Agent (B),Agent (A))))))),(SID sid)]);
iknows(pair(f(pair(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (absNB(pair(Agent (B),Agent (A)))),pair(Agent (A),Nonce (absText3(pair(Agent (B),Agent (A)))))))),pair(Nonce (absNB(pair(Agent (B),Agent (A)))),pair(Agent (A),Nonce (absText3(pair(Agent (B),Agent (A))))))))

step rule_11:
State (rB,[Agent (B),Step 0,Nonce (tag),SymKey (sk(pair(Agent (A),Agent (B)))),Agent (A),(SID sid)]);
iknows(SymKey (sk(pair(Agent (A),Agent (B)))));
iknows(Nonce (NA));
iknows(Agent (B));
iknows(Nonce (Text1));
iknows(Nonce (tag))

=>
request(Agent (B),Agent (A),Purpose (pBAText1),Nonce (Text1),(SID sid));
witness(Agent (B),Agent (A),Purpose (pABText3),Nonce (absText3(pair(Agent (B),Agent (A)))));
State (rB,[Agent (B),Step 1,Nonce (tag),SymKey (sk(pair(Agent (A),Agent (B)))),Agent (A),Nonce (Text1),Nonce (NA),f(pair(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NA),pair(Agent (B),pair(Nonce (Text1),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NA),pair(Agent (B),pair(Nonce (Text1),Nonce (tag)))))),pair(Nonce (NA),pair(Agent (B),Nonce (Text1)))),Nonce (absNB(pair(Agent (B),Agent (A)))),Nonce (absText3(pair(Agent (B),Agent (A)))),pair(f(pair(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (absNB(pair(Agent (B),Agent (A)))),pair(Agent (A),Nonce (absText3(pair(Agent (B),Agent (A)))))))),pair(Nonce (absNB(pair(Agent (B),Agent (A)))),pair(Agent (A),Nonce (absText3(pair(Agent (B),Agent (A))))))),(SID sid)]);
iknows(pair(f(pair(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (absNB(pair(Agent (B),Agent (A)))),pair(Agent (A),Nonce (absText3(pair(Agent (B),Agent (A)))))))),pair(Nonce (absNB(pair(Agent (B),Agent (A)))),pair(Agent (A),Nonce (absText3(pair(Agent (B),Agent (A))))))))

step rule_12:
State (rA,[Agent (A),Step 1,Nonce (tag),SymKey (sk(pair(Agent (A),Agent (B)))),Agent (B),Nonce (NA),Nonce (Text1),pair(f(pair(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NA),pair(Agent (B),pair(Nonce (Text1),Nonce (tag)))))),pair(Nonce (NA),pair(Agent (B),Nonce (Text1)))),(SID sid)]);
iknows(f(pair(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NB),pair(Agent (A),Nonce (Text3))))));
iknows(Nonce (NB));
iknows(Agent (A));
iknows(Nonce (Text3))

=>
request(Agent (A),Agent (B),Purpose (pABText3),Nonce (Text3),(SID sid));
State (rA,[Agent (A),Step 2,Nonce (tag),SymKey (sk(pair(Agent (A),Agent (B)))),Agent (B),Nonce (NA),Nonce (Text1),pair(f(pair(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NA),pair(Agent (B),pair(Nonce (Text1),Nonce (tag)))))),pair(Nonce (NA),pair(Agent (B),Nonce (Text1)))),f(pair(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NA),pair(Agent (B),pair(Nonce (Text1),Nonce (tag)))))),Nonce (Text3),Nonce (NB),f(pair(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NB),pair(Agent (A),Nonce (Text3))))),pair(f(pair(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NB),pair(Agent (A),Nonce (Text3))))),pair(Nonce (NB),pair(Agent (A),Nonce (Text3)))),(SID sid)])

step rule_13:
State (rA,[Agent (A),Step 1,Nonce (tag),SymKey (sk(pair(Agent (A),Agent (B)))),Agent (B),Nonce (NA),Nonce (Text1),pair(f(pair(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NA),pair(Agent (B),pair(Nonce (Text1),Nonce (tag)))))),pair(Nonce (NA),pair(Agent (B),Nonce (Text1)))),(SID sid)]);
iknows(SymKey (sk(pair(Agent (A),Agent (B)))));
iknows(Nonce (NB));
iknows(Agent (A));
iknows(Nonce (Text3))

=>
request(Agent (A),Agent (B),Purpose (pABText3),Nonce (Text3),(SID sid));
State (rA,[Agent (A),Step 2,Nonce (tag),SymKey (sk(pair(Agent (A),Agent (B)))),Agent (B),Nonce (NA),Nonce (Text1),pair(f(pair(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NA),pair(Agent (B),pair(Nonce (Text1),Nonce (tag)))))),pair(Nonce (NA),pair(Agent (B),Nonce (Text1)))),f(pair(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NA),pair(Agent (B),pair(Nonce (Text1),Nonce (tag)))))),Nonce (Text3),Nonce (NB),f(pair(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NB),pair(Agent (A),Nonce (Text3))))),pair(f(pair(SymKey (sk(pair(Agent (A),Agent (B)))),pair(Nonce (NB),pair(Agent (A),Nonce (Text3))))),pair(Nonce (NB),pair(Agent (A),Nonce (Text3)))),(SID sid)])


section initial state:
init_0: iknows(Nonce (ni));
init_1: iknows(Agent (dishonest i));
init_2: State (rA,[Agent (honest a),Step 0,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),(SID sid)]);
init_3: State (rA,[Agent (honest a),Step 0,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),(SID sid)]);
init_4: iknows(Step 0);
init_5: iknows(Nonce (tag));
init_6: iknows(SymKey (sk(pair(Agent (dishonest i),Agent (dishonest i)))));
init_7: iknows((SID sid));
init_8: iknows(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))));
init_9: iknows(Agent (honest a));
init_10: State (rB,[Agent (honest a),Step 0,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),(SID sid)]);
init_11: State (rB,[Agent (honest a),Step 0,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),(SID sid)]);
init_12: iknows(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))));

section fixedpoint:
fp_0: iknows(pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))));
fp_1: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))));
fp_2: iknows(pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))));
fp_3: iknows(pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))));
fp_4: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))));
fp_5: iknows(pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))));
fp_6: iknows(pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))));
fp_7: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))));
fp_8: iknows(pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))));
fp_9: witness(Agent (honest a),Agent (dishonest i),Purpose (pBAText1),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))));
fp_10: State (rA,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_11: witness(Agent (honest a),Agent (honest a),Purpose (pBAText1),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))));
fp_12: State (rA,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_13: request(Agent (honest a),Agent (dishonest i),Purpose (pBAText1),Nonce (ni),(SID sid));
fp_14: witness(Agent (honest a),Agent (dishonest i),Purpose (pABText3),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))));
fp_15: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (ni),Nonce (ni),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag)))))),pair(Nonce (ni),pair(Agent (honest a),Nonce (ni)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_16: request(Agent (honest a),Agent (dishonest i),Purpose (pBAText1),Nonce (tag),(SID sid));
fp_17: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (tag),Nonce (ni),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag)))))),pair(Nonce (ni),pair(Agent (honest a),Nonce (tag)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_18: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (ni),Nonce (tag),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag)))))),pair(Nonce (tag),pair(Agent (honest a),Nonce (ni)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_19: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (tag),Nonce (tag),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag)))))),pair(Nonce (tag),pair(Agent (honest a),Nonce (tag)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_20: iknows(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))));
fp_21: iknows(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))));
fp_22: iknows(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))));
fp_23: iknows(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))));
fp_24: iknows(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))));
fp_25: iknows(f(pair(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))));
fp_26: iknows(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))));
fp_27: iknows(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))));
fp_28: iknows(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))));
fp_29: iknows(pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))));
fp_30: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))));
fp_31: iknows(pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))));
fp_32: iknows(pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))));
fp_33: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))));
fp_34: iknows(pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))));
fp_35: iknows(pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))));
fp_36: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))));
fp_37: iknows(pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))));
fp_38: iknows(pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))));
fp_39: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))));
fp_40: iknows(pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))));
fp_41: request(Agent (honest a),Agent (honest a),Purpose (pBAText1),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),(SID sid));
fp_42: witness(Agent (honest a),Agent (honest a),Purpose (pABText3),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))));
fp_43: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_44: request(Agent (honest a),Agent (dishonest i),Purpose (pBAText1),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),(SID sid));
fp_45: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_46: request(Agent (honest a),Agent (dishonest i),Purpose (pBAText1),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),(SID sid));
fp_47: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_48: request(Agent (honest a),Agent (dishonest i),Purpose (pBAText1),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),(SID sid));
fp_49: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_50: request(Agent (honest a),Agent (dishonest i),Purpose (pBAText1),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),(SID sid));
fp_51: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_52: request(Agent (honest a),Agent (dishonest i),Purpose (pBAText1),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),(SID sid));
fp_53: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_54: request(Agent (honest a),Agent (dishonest i),Purpose (pBAText1),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),(SID sid));
fp_55: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_56: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (ni),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag)))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_57: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (tag),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag)))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (tag)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_58: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_59: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_60: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_61: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_62: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_63: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_64: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (ni),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag)))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_65: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (tag),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag)))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (tag)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_66: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_67: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_68: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_69: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_70: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_71: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_72: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (ni),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag)))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (ni)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_73: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (tag),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag)))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (tag)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_74: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_75: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_76: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_77: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_78: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_79: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_80: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (ni),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (ni)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_81: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (tag),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (tag)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_82: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_83: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_84: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_85: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_86: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_87: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_88: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (ni),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag)))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_89: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (tag),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag)))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (tag)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_90: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_91: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_92: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_93: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_94: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_95: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_96: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (ni),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_97: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (tag),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (tag)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_98: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_99: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_100: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (ni),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_101: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (ni),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_102: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_103: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_104: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_105: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_106: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_107: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (tag),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_108: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_109: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_110: request(Agent (honest a),Agent (dishonest i),Purpose (pABText3),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),(SID sid));
fp_111: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_112: request(Agent (honest a),Agent (dishonest i),Purpose (pABText3),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),(SID sid));
fp_113: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_114: request(Agent (honest a),Agent (dishonest i),Purpose (pABText3),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),(SID sid));
fp_115: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_116: request(Agent (honest a),Agent (dishonest i),Purpose (pABText3),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),(SID sid));
fp_117: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_118: request(Agent (honest a),Agent (dishonest i),Purpose (pABText3),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),(SID sid));
fp_119: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_120: request(Agent (honest a),Agent (dishonest i),Purpose (pABText3),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),(SID sid));
fp_121: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_122: request(Agent (honest a),Agent (dishonest i),Purpose (pABText3),Nonce (ni),(SID sid));
fp_123: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (ni),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni)))),(SID sid)]);
fp_124: request(Agent (honest a),Agent (dishonest i),Purpose (pABText3),Nonce (tag),(SID sid));
fp_125: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (tag),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (tag))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (tag))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (tag)))),(SID sid)]);
fp_126: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_127: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_128: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_129: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_130: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_131: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_132: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (ni),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni)))),(SID sid)]);
fp_133: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (tag),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (tag))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (tag))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (tag)))),(SID sid)]);
fp_134: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_135: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_136: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_137: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_138: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_139: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_140: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (ni),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (ni))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (ni))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (ni)))),(SID sid)]);
fp_141: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (tag),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (tag))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (tag))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (tag)))),(SID sid)]);
fp_142: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_143: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_144: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_145: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_146: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_147: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_148: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (ni),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (ni))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (ni))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (ni)))),(SID sid)]);
fp_149: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (tag),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (tag))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (tag))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (tag)))),(SID sid)]);
fp_150: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_151: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_152: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_153: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_154: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_155: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_156: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (ni),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni)))),(SID sid)]);
fp_157: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (tag),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (tag))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (tag))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (tag)))),(SID sid)]);
fp_158: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_159: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_160: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_161: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_162: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_163: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_164: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (ni),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (ni)))),(SID sid)]);
fp_165: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (tag),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (tag))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (tag))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (tag)))),(SID sid)]);
fp_166: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_167: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_168: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (ni),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_169: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (ni),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_170: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_171: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (ni),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_172: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (ni),Nonce (ni),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (ni))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (ni))))),pair(Nonce (ni),pair(Agent (honest a),Nonce (ni)))),(SID sid)]);
fp_173: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (tag),Nonce (ni),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (tag))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (tag))))),pair(Nonce (ni),pair(Agent (honest a),Nonce (tag)))),(SID sid)]);
fp_174: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_175: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_176: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_177: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (tag),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_178: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_179: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_180: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (ni),Nonce (tag),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (ni))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (ni))))),pair(Nonce (tag),pair(Agent (honest a),Nonce (ni)))),(SID sid)]);
fp_181: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (tag),Nonce (tag),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (tag))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (tag))))),pair(Nonce (tag),pair(Agent (honest a),Nonce (tag)))),(SID sid)]);
fp_182: iknows(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))));
fp_183: iknows(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))));
fp_184: iknows(f(pair(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))));
fp_185: iknows(pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))));
fp_186: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))));
fp_187: iknows(pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))));
fp_188: iknows(pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))));
fp_189: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))));
fp_190: iknows(pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))));
fp_191: iknows(pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))));
fp_192: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))));
fp_193: iknows(pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))));
fp_194: iknows(pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))));
fp_195: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))));
fp_196: iknows(pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))));
fp_197: request(Agent (honest a),Agent (dishonest i),Purpose (pBAText1),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),(SID sid));
fp_198: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_199: request(Agent (honest a),Agent (dishonest i),Purpose (pBAText1),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),(SID sid));
fp_200: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_201: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_202: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_203: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_204: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_205: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_206: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_207: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (ni),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag)))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (ni)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_208: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (tag),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag)))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (tag)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_209: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_210: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_211: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_212: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_213: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_214: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_215: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_216: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_217: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (ni),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (ni),Nonce (tag)))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (ni)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_218: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (tag),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (tag),Nonce (tag)))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (tag)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_219: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_220: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_221: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_222: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_223: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_224: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_225: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_226: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_227: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_228: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_229: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_230: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_231: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (ni),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_232: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (ni),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (ni),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_233: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (tag),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_234: State (rB,[Agent (honest a),Step 1,Nonce (tag),SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),Agent (dishonest i),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (tag),f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (tag),pair(Agent (honest a),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_235: request(Agent (honest a),Agent (honest a),Purpose (pABText3),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),(SID sid));
fp_236: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (honest a)))),Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_237: request(Agent (honest a),Agent (dishonest i),Purpose (pABText3),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),(SID sid));
fp_238: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_239: request(Agent (honest a),Agent (dishonest i),Purpose (pABText3),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),(SID sid));
fp_240: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_241: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_242: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_243: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_244: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_245: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_246: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_247: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (ni),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (ni))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (ni))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (ni)))),(SID sid)]);
fp_248: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (tag),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (tag))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (tag))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (tag)))),(SID sid)]);
fp_249: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_250: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_251: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_252: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_253: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_254: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_255: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_256: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i))))))),(SID sid)]);
fp_257: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (ni),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (ni))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (ni))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (ni)))),(SID sid)]);
fp_258: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (tag),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (tag))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (tag))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (tag)))),(SID sid)]);
fp_259: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_260: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_261: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_262: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_263: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_264: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_265: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_266: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_267: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_268: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_269: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_270: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_271: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (ni),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_272: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (ni),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (ni),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_273: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))),Nonce (tag),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_274: State (rA,[Agent (honest a),Step 2,Nonce (tag),SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),Agent (dishonest i),Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),Nonce (tag),f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))))),pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (tag),pair(Agent (honest a),Nonce (absNB(pair(Agent (honest a),Agent (honest a))))))),(SID sid)]);
fp_275: iknows(pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))));
fp_276: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))));
fp_277: iknows(pair(f(pair(SymKey (sk(pair(Agent (dishonest i),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText3(pair(Agent (honest a),Agent (dishonest i))))))));
fp_278: iknows(pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))));
fp_279: iknows(pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))));
fp_280: iknows(pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a)))))))),pair(Nonce (absNB(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText3(pair(Agent (honest a),Agent (honest a))))))));
fp_281: iknows(pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))));
fp_282: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a)))))));
fp_283: iknows(pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (honest a)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),pair(Nonce (absText1(pair(Agent (honest a),Agent (honest a)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (honest a)))),pair(Agent (honest a),Nonce (absText1(pair(Agent (honest a),Agent (honest a))))))));
fp_284: iknows(pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))));
fp_285: iknows(pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))))));
fp_286: iknows(pair(f(pair(SymKey (sk(pair(Agent (honest a),Agent (dishonest i)))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),pair(Nonce (absText1(pair(Agent (honest a),Agent (dishonest i)))),Nonce (tag)))))),pair(Nonce (absNA(pair(Agent (honest a),Agent (dishonest i)))),pair(Agent (dishonest i),Nonce (absText1(pair(Agent (honest a),Agent (dishonest i))))))));

section abstraction:
NA->Nonce (absNA(pair(A,B)));
Text1->Nonce (absText1(pair(A,B)));
NB->Nonce (absNB(pair(B,A)));
Text3->Nonce (absText3(pair(B,A)))

